select {
  padding: 3px;
  padding-right: 25px;
  background-position:
    calc(100% - 10px) calc(.5em + 4px),
    calc(100% - 5px) calc(.5em + 4px),
    calc(100% - 20px) calc(.3em + 3px);
  background-size:
    6px 6px,
    6px 6px,
    1px .8em;
  background-repeat: no-repeat;
}

body[theme="light"] {
  select {
    background-color: darken($theme-background-light, 10);
    background-image:
      linear-gradient(45deg, transparent 50%, $theme-primary-text-light 50%),
      linear-gradient(135deg, $theme-primary-text-light 50%, transparent 50%),
      linear-gradient(to right, $theme-primary-text-light, $theme-primary-text-light);
  }
}
body[theme="dark"] {
  select {
    background-color: lighten($theme-background-dark, 10);
    background-image:
      linear-gradient(45deg, transparent 50%, $theme-primary-text-dark 50%),
      linear-gradient(135deg, $theme-primary-text-dark 50%, transparent 50%),
      linear-gradient(to right, $theme-primary-text-dark, $theme-primary-text-dark);
  }
}